Subject: [patch 0/9] CPU selection Kconfig cleanup, take 4

From: [email-masked]
Date: Sat, 16 Jun 2007 02:09:07 +0200

This time, I've removed all the changes that allow you to build
multiplatform kernels for the 8xxx embedded CPUs since Kumar
was not sure about those. Patch 9/9 still contains the patches,
but you can easily leave that one out.

What's left in patches 1-8 is basically

1. The selection of -mcpu and -mtune flags for all CPUs, which
should provide better optimized code in many cases, as well as
avoiding bugs that happen when the tool chain is built to default
to a different CPU.

2. All fixes for the bugs that I found in the process of making
multiplatform builds work for 6xx and e500.

        Arnd <><